org.h2.jdbc

## Class JdbcSQLXML

- java.lang.Object
- - org.h2.message.TraceObject
  - - org.h2.jdbc.JdbcLob
    - - org.h2.jdbc.JdbcSQLXML

All Implemented Interfaces:
  java.sql.SQLXML

    public class JdbcSQLXML
    extends JdbcLob
    implements java.sql.SQLXML

Represents a SQLXML value.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.h2.jdbc.JdbcLob

`JdbcLob.State`

### Field Summary

### Fields inherited from class org.h2.message.TraceObject

`ARRAY, BLOB, CALLABLE_STATEMENT, CLOB, CONNECTION, DATA_SOURCE, DATABASE_META_DATA, PARAMETER_META_DATA, PREPARED_STATEMENT, RESULT_SET, RESULT_SET_META_DATA, SAVEPOINT, SQLXML, STATEMENT, trace, XA_DATA_SOURCE, XID`

### Constructor Summary

Constructors
Constructor and Description
`JdbcSQLXML(JdbcConnection conn, Value value, JdbcLob.State state, int id)` INTERNAL

### Method Summary

Methods
`java.io.InputStream` `getBinaryStream()` Returns the input stream.
`java.io.Reader` `getCharacterStream()` Returns the reader.
`<T extends javax.xml.transform.Source> T` `getSource(java.lang.Class<T> sourceClass)`
`java.lang.String` `getString()`
`java.io.OutputStream` `setBinaryStream()`
`java.io.Writer` `setCharacterStream()`
`<T extends javax.xml.transform.Result> T` `setResult(java.lang.Class<T> resultClass)`
`void` `setString(java.lang.String value)`

### Methods inherited from class org.h2.jdbc.JdbcLob

`free, toString`

### Methods inherited from class org.h2.message.TraceObject

`debugCode, debugCodeAssign, debugCodeCall, debugCodeCall, debugCodeCall, getNextId, getTraceId, getTraceObjectName, isDebugEnabled, isInfoEnabled, logAndConvert, quote, quoteArray, quoteBigDecimal, quoteBytes, quoteDate, quoteIntArray, quoteMap, quoteTime, quoteTimestamp, setTrace, unsupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.sql.SQLXML

`free`

### Constructor Detail

#### JdbcSQLXML

    public JdbcSQLXML(JdbcConnection conn,
              Value value,
              JdbcLob.State state,
              int id)

INTERNAL

### Method Detail

#### getBinaryStream

    public java.io.InputStream getBinaryStream()
                                        throws java.sql.SQLException

Description copied from class: `JdbcLob`
Returns the input stream.

Specified by:
  `getBinaryStream` in interface `java.sql.SQLXML`
Returns:
  the input stream
Throws:
  `java.sql.SQLException`

#### getCharacterStream

    public java.io.Reader getCharacterStream()
                                      throws java.sql.SQLException

Description copied from class: `JdbcLob`
Returns the reader.

Specified by:
  `getCharacterStream` in interface `java.sql.SQLXML`
Returns:
  the reader
Throws:
  `java.sql.SQLException`

#### getSource

    public <T extends javax.xml.transform.Source> T getSource(java.lang.Class<T> sourceClass)
                                                   throws java.sql.SQLException

Specified by:
  `getSource` in interface `java.sql.SQLXML`
Throws:
  `java.sql.SQLException`

#### getString

    public java.lang.String getString()
                               throws java.sql.SQLException

Specified by:
  `getString` in interface `java.sql.SQLXML`
Throws:
  `java.sql.SQLException`

#### setBinaryStream

    public java.io.OutputStream setBinaryStream()
                                         throws java.sql.SQLException

Specified by:
  `setBinaryStream` in interface `java.sql.SQLXML`
Throws:
  `java.sql.SQLException`

#### setCharacterStream

    public java.io.Writer setCharacterStream()
                                      throws java.sql.SQLException

Specified by:
  `setCharacterStream` in interface `java.sql.SQLXML`
Throws:
  `java.sql.SQLException`

#### setResult

    public <T extends javax.xml.transform.Result> T setResult(java.lang.Class<T> resultClass)
                                                   throws java.sql.SQLException

Specified by:
  `setResult` in interface `java.sql.SQLXML`
Throws:
  `java.sql.SQLException`

#### setString

    public void setString(java.lang.String value)
                   throws java.sql.SQLException

Specified by:
  `setString` in interface `java.sql.SQLXML`
Throws:
  `java.sql.SQLException`